=== debian/changelog ===
ceph (10.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for Ceph Jewel:
    - FFe: http://pad.lv/1563714.
    - d/p/32bit-compat.patch,tasksmax-infinity.patch: Dropped,
      included upstream.
  * d/ceph-common.postinst: Silence output of usermod call (LP: #1569249).

 -- James Page <james.page@ubuntu.com>  Thu, 14 Apr 2016 14:46:58 +0100

ceph (10.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for Ceph Jewel:
    - FFe: http://pad.lv/1563714.
    - d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Apr 2016 16:30:43 +0100

ceph (10.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for Ceph Jewel
    (see http://pad.lv/1563714 for FFe):
    - d/control,rules,librgw*: Add new binary packages for librgw2.
    - d/p/fix-systemd-escaping.patch,pybind-flags.patch: Dropped,
      included upstream.
    - d/p/*: Refresh remaining patches.
    - d/control: Add BD on libldap2-dev for rados gateway.
    - d/p/disable-openssl-linking.patch: Disable build time linking
      with OpenSSL due to licensing incompatibilities.
    - d/*.symbols: Add new symbols for RC.
    - d/python-*.install: Correct wildcards for python module install.
    - d/p/32bit-compat.patch: Cherry pick upstream fix for 32 bit
      compatibility, resolving FTBFS on armhf/i386.
  * d/rules: Strip rbd-mirror package correctly.
  * d/rules: Install upstart and systemd configurations for rbd-mirror.
  * d/copyright: Ensure that jerasure and gf-complete are not stripped
    from the upstream release tarball.
  * d/p/drop-user-group-osd-prestart.patch: Drop --setuser/--setgroup
    arguments from call to ceph-osd-prestart.sh; they are not supported
    and generate spurious non-fatal warning messages (LP: #1557461).
  * d/p/tasksmax-infinity.patch: Drop systemd limitation of number of
    processes and threads to long running ceph processes; the default
    of 512 tasks is way to low for even a modest Ceph cluster
    (LP: #1564917).
  * d/rules: Ensure that dh_systemd_start does not insert maintainer
    script snippets for ceph-mon and ceph-create-keys - service restart
    should be handled outside of the packaging as it is under upstart
    and for all other systemd unit files installed (LP: #1563330).

 -- James Page <james.page@ubuntu.com>  Wed, 06 Apr 2016 09:17:59 +0100

ceph (10.0.5-0ubuntu1) xenial; urgency=medium

  * New upstream point release, in preparation for Ceph Jewel.
    - d/p/*: Refresh patches
    - d/control: Enable rbd-mirror(-dbg) packages.
    - d/control: Add BD on libboost-iostreams-dev.
    - d/p/skip-setup.py-makefiles.patch,rules: Avoid use of virtualenv
      to install ceph-disk and ceph-detect-init python modules.

 -- James Page <james.page@ubuntu.com>  Wed, 23 Mar 2016 14:07:58 +0000

ceph (10.0.3-0ubuntu1) xenial; urgency=medium

  * New upstream point release, in preparation for Ceph Jewel.
    - d/p/*: Refresh patches
    - d/rules,d/p/rocksdb-flags.patch: Enable rocksdb build for
      experimental bluestore support, add patch to set g++ flags
      correctly across all Ubuntu archs.
    - d/rules: Enable gperftools use on arm64 architecture.
    - d/ceph.install: Add ceph-bluefs-tool to install.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 10:41:37 +0000

ceph (10.0.2-0ubuntu1) xenial; urgency=medium

  * New upstream release, in preparation for Ceph Jewel stable release:
    - d/control: Add python-dev to BD's.
    - d/p/pybind-flags.patch: Ensure that python flags are correct
      set for cython rbd build.
    - d/python-rbd.install: Switch rbd python binding to cython.
    - d/p/modules.patch: Dropped, no longer required as upstream.
    - d/control,rbd-nbd.*,rules: Add rbd-nbd package.
    - d/p/*: Tidy old redundant patches.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Feb 2016 08:07:30 +0000

ceph (9.2.0-0ubuntu6) xenial; urgency=medium

  * d/ceph-mds.dirs: Actually create /var/lib/ceph/mds prior to changing
    permissions (LP: #1544647).
  * d/ceph.init: Restore link to init-ceph, resolving un-install failures
    due to missing init script (LP: #1546112).

 -- James Page <james.page@ubuntu.com>  Wed, 17 Feb 2016 10:33:24 +0000

ceph (9.2.0-0ubuntu5) xenial; urgency=medium

  [ guessi ]
  * d/ceph-mds.postinst: Fixup syntax error (LP: #1544647).

 -- James Page <james.page@ubuntu.com>  Tue, 16 Feb 2016 12:54:16 +0000

ceph (9.2.0-0ubuntu4) xenial; urgency=medium

  * d/p/fix-systemd-escaping.patch: Ensure that leading '/' is stripped
    from block device paths when escaping for use in systemd unit
    names.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Feb 2016 11:03:03 +0000

ceph (9.2.0-0ubuntu3) xenial; urgency=medium

  * d/ceph{-common}.install: Move ceph_daemon module to common package
    as its required to use the ceph command.
  * d/rules: Disable parallel builds on arm64, resolving FTBFS due to
    memory constraints in builders.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Jan 2016 10:00:47 +0200

ceph (9.2.0-0ubuntu2) xenial; urgency=medium

  * d/control: Fixup broken Breaks/Replaces for backports to 14.04.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Jan 2016 10:46:19 +0000

ceph (9.2.0-0ubuntu1) xenial; urgency=medium

  * [754935] Imported Upstream version 9.2.0
    - [df85c3] Resync relevant packaging changes with upstream.
    - [be5f82] Refresh patches.
    - [d1f3fe] Add python-setuptools to BD's for ceph-detect-init.
    - [b2f926] Add lsb-release to BD's to ensure that python modules are
               installed to correct locations.
    - [e4d702] Add python-sphinx to BD's to ensure man pages get generated
               and installed.
    - [3ead6e] Correct install location for ceph-monstore-update tool.
    - [269754] [177b7a] Update symbols for new release.
  * [6f322e5] Imported Upstream version 10.0.2
    - [ba06deb] Add python-dev to BD's.

