=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
 http://ceph.com/download/ceph-(\d.*)\.tar\.gz
